#include "Gadget/Engine.h"
#include "Vehicle.h"
#include "Ship.h"

//The image and material are the same for every Ship, so by making these static, all the ships can share them
bool           Ship::init = false;
Image          Ship::img;

Ship::Ship()
{
	if(!init) //Make sure we haven't already loaded the image
	{
		img.Load("Images/ShipAnimate.png");  //Load the image from disk.
		init = true;
	}

	spr.width  = 100.0f;
	spr.height = 100.0f;
	spr.CenterOrigin();
	spr.SelectAnimationFrame(1, 8, 4);

	friction        =  0.5f;
	maxAcceleration =  400.0f; //velocity per second
	maxVelocity     =  600.0f; //pixels per second
	maxRotation     =  180.0f; //degrees per second
	position.x      =  2000.0f;
	position.y      =  -1000.0f;
}

void Ship::Render()
{
	//Update the sprite settings in case they were changed
	spr.rotation = direction;//Set direction of sprite
	spr.x = position.x;      //Set position of sprite
	spr.y = position.y;

	Shader::Blend(1);
	img.Activate(); 
	spr.Render();   //Draw the sprite with the active image painted on it
}


